Create Sequence Contacts

Creates and adds the contacts to the sequence in the specified step.

A new contact will only be created if there is no contact for the organization corresponding to the parameters in the to list.

If a new contact is created, it also creates a new conversation with the from number or email channel or the step's location (if any) when provided. If there is an existing contact but no conversation, a new conversation will be created.

If there is more than one contact in the to list, the contacts will be tagged with an upload tag with a timestamp corresponding to the time of the request.

If contact is already in the specified sequence step it will be reprocessed and if it is active or pending in another step of the sequence it will be ignored. Besides that, if contact is already in the sequence its up to the sequence settings if the contact will be added again or ignored.

If the contacts in the list do not contain the necessary contact information in the list, they will be ignored. For example, if adding contacts to an email sequence, we will only add the contacts with an email address. Contacts with invalid email addresses will be ignored.

When custom_data is provided, the contacts will be associated with a custom object. The custom object and its custom properties must be created before the contacts are added to the sequence. When specifying custom data, the resource field must be set to contact or step_contact in order to associate the custom data with the contact or the step contact respectively.

When voice_options is provided, the contacts will be added to the step with them. It will be used to answer inbound calls from the contacts that are a response to a sequence message. If provided, it takes priority over the sequence settings default call flow ID.

The process will run in the background, therefore a 202 Accepted status is initially returned on success.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Sequence ID

Body Params

Create Sequence Contacts Params

custom_data
object

Optional field used to indicate that the contacts from the to list should be associated with a custom object. In combination with the custom_data field, there should be a properties field for each item in the to list, that contains the actual custom data to be associated with the contacts.

string

Phone or email address of an existing channel belonging to your organization

date-time

Scheduling time for the sequence contacts activation. Requires ISO 8601 format.

string

ID of an existing step of the sequence.

Defaults to the first step of the sequence.

to
array of objects
required
length between 1 and 4000

List of contacts that would be added to the sequence.

to*
address
object

Optional Address details of the Contact

birth_date
object

Birthday details of the Contact.

uuid

The ID of the channel from which the contact should receive messages by default.

string
length ≤ 255

Contact email

string

The external ID of a contact. It uniquely identifies a contact and can be useful for associating whippy contacts with external systems.

string

The language preference of the Contact

string
length ≤ 255

Contact name

string
required

Contact phone number

properties
object

Contact properties mapped to custom data. These properties are mapped to the custom object in the payload.

The properties keys should correspond to the keys of the custom properties that belong to the custom object.

voice_options
object

Optional field used to indicate the default call flow id to use for answering inbound calls from the contacts that are a response to a sequence message

Responses

Callback
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json